import { SvelteComponent } from "svelte";
import "./fileTreeItem.css";
import type { FileDescriptor, LastItem } from "./types";
declare const __propDef: {
    props: {
        fileDesc: FileDescriptor;
        depth?: number;
        notSelectable?: boolean;
        lastItem?: LastItem;
        noFolderClick?: boolean;
        noIndentation?: boolean;
        displayKeys?: Array<string>;
        noActionsTransition?: boolean;
        metadataAsTags?: boolean;
    };
    events: {
        click: CustomEvent<any>;
        selected: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'item-actions': {
            slot: string;
            data: FileDescriptor;
        };
        'item-loading': {
            slot: string;
            data: FileDescriptor;
        };
        'item-no-content': {
            slot: string;
            data: FileDescriptor;
        };
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type FileTreeItemProps = typeof __propDef.props;
export type FileTreeItemEvents = typeof __propDef.events;
export type FileTreeItemSlots = typeof __propDef.slots;
export default class FileTreeItem extends SvelteComponent<FileTreeItemProps, FileTreeItemEvents, FileTreeItemSlots> {
}
export {};
