import { SvelteComponent } from "svelte";
import type { FileDescriptor, LastItem } from './types';
declare const __propDef: {
    props: {
        item: LastItem;
        fileDesc: FileDescriptor;
        depth?: number;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        loading: {
            data: FileDescriptor;
            depth: number;
        };
        'no-content': {
            data: FileDescriptor;
            depth: number;
        };
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type ItemRendererProps = typeof __propDef.props;
export type ItemRendererEvents = typeof __propDef.events;
export type ItemRendererSlots = typeof __propDef.slots;
export default class ItemRenderer extends SvelteComponent<ItemRendererProps, ItemRendererEvents, ItemRendererSlots> {
}
export {};
