import { writable } from "svelte/store";
import { getContext, setContext } from "svelte";
const highlightedState = writable();
export function setHighlightContext() {
    setContext("highlightItem", highlightedState);
    return {
        highlightItem: (fileDesc, style) => {
            highlightedState.set({
                highlightItem: fileDesc,
                highlightStyle: style,
            });
        },
    };
}
export function getHighlightContext() {
    return getContext("highlightItem");
}
