export default function scrollMeasure(node, selector) {
    function update() {
        const contentWidth = node.querySelector(selector)?.offsetWidth || node.offsetWidth;
        node.style.setProperty('--sly-scrollbar-width', `${node.offsetWidth - contentWidth}px`);
    }
    update();
    return {
        destroy() {
        },
        update
    };
}
