import type { FileDescriptor, SelectedFile, SortGroup } from "./types";
declare function css(strings: TemplateStringsArray, ...values: any[]): string;
/**
 * Helper for adding a window escape listener, returning true removes the listener again
 * @param listener
 */
declare function setOnEscListener(listener: (e: KeyboardEvent) => boolean): void;
declare function orderItems(items: FileDescriptor[], sortBy?: SortGroup): FileDescriptor[];
declare function displayDateISO(value: Date): string;
declare function reduceSelectedItems(start: FileDescriptor): Array<SelectedFile>;
export { css, setOnEscListener, orderItems, displayDateISO, reduceSelectedItems };
